Subject: Re: [PATCH] ewah/bitmap: silence warning about MASK macro redefinition

From: Jeff King <[email-masked]>
Date: Wed, 3 Jun 2015 02:38:13 -0400

On Wed, Jun 03, 2015 at 02:28:10AM -0400, Eric Sunshine wrote:

> On Wed, Jun 3, 2015 at 12:51 AM, Jeff King <[email-masked]> wrote:
> > Subject: [PATCH] ewah: use less generic macro names
> >
> > The ewah/ewok.h header pollutes the global namespace with
> > "BITS_IN_WORD", without any specific notion that we are
> > talking about the bits in an eword_t. We can give this the
> > more specific name "BITS_IN_EWORD".
> >
> > Likewise, ewah/bitmap.c uses the generic MASK and BLOCK
> > macro names. These are local to the .c file, but we have the
> > opposite problem: on PowerPC Mac OS X (10.5.8 "Leopard" with
> > Xcode 3.1), system header /usr/include/ppc/param.h[1]
> 
> The [1] has no meaning anymore, so: s/\[1\]//

Oops, I meant to include your footnote.

> > I'm also happy to split it into two patches, and make Eric the author on
> > the MASK part.
> 
> I don't mind being an author of a patch, so splitting works for me,
> however, I'm also fine with whatever you and Junio prefer. (And, in
> retrospect, I agree that renaming the macros here is preferable over
> the #undef approach.)

After reflecting, I think splitting it into two patches makes more
sense. I mostly noticed that we were touching the same lines, but of
course it is not a problem to have two related patches in order. :)

So here is what I propose:

  [1/2]: ewah/bitmap: silence warning about MASK macro redefinition
  [2/2]: ewah: use less generic macro name

I put yours first, because it solves an actual problem. We can drop 2/2
if we decide it's just churn.

-Peff